# Package org.apache.tomcat.util.json

Interface Summary
JSONParserConstants: Token literal values and constants.

Class Summary
JavaCharStream: An implementation of interface CharStream, where the stream is assumed to contain only ASCII characters (with java-like unicode escape processing).
JSONFilter: Provides escaping of values so they can be included in a JSON document.
JSONParser: Basic JSON parser generated by JavaCC.
JSONParserTokenManager: Token Manager.
Token: Describes the input token stream.

Exception Summary
ParseException: This exception is thrown when parse errors are encountered.

Error Summary
TokenMgrError: Token Manager Error.